wx-infra(){
    wx-login
    wx-auto &> /dev/null

    wx-header "Infra"
    wx-restricted

    case $USERNAME in
        cwchristerw)
            if [[ -d "/home/cwchristerw/Desktop/Work in Progress/Programming/warengroup/infra" ]]
                INFRA_PATH="/home/cwchristerw/Desktop/Work in Progress/Programming/warengroup/infra"
            else
                INFRA_PATH="~/.warengroup/infra"
                git clone https://git.waren.io/warengroup-private/infra --config core.sshCommand="ssh -i ~/.ssh/keys/warengroup-legacy" "$INFRA_PATH"
            fi

            if [[ -z $1 ]]
            then
                echo "Tag Required"
            else
                if [[ $1 == "init" ]]
                then
                    if [[ -z $2 ]]
                    then
                        echo "Tag Required"
                    else
                        cd "$INFRA_PATH"
                        ansible-playbook --vault-id warengroup@vault/warengroup --vault-id cwchristerw@vault/cwchristerw playbooks/init.yml -t $2 $3 $4 $5 $6 $7 $8 $9
                        cd "$OLDPWD"
                    fi
                else
                    cd "$INFRA_PATH"
                    ansible-playbook --vault-id warengroup@vault/warengroup --vault-id cwchristerw@vault/cwchristerw playbooks.yml -t $1 $2 $3 $4 $5 $6 $7 $8 $9
                    cd "$OLDPWD"
                fi
            fi
            ;;
        *)
            echo "User Unsupported"
            ;;
    esac
}
